Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib
Interface CIBMonitoredObjectMBean

All Superinterfaces:
  CIBManagedObjectMBean, CIBObjectMBean

All Known Subinterfaces:
  CIBApplicationMBean, CIBExternalResourceMBean, CIBResourceMBean, CIBServiceMBean

All Known Implementing Classes:
  CIBApplication, CIBExternalResource, CIBMonitoredObject, CIBResource, CIBService

public interface CIBMonitoredObjectMBean
extends CIBManagedObjectMBean

Provides methods that should be implemented by each CIBMonitoredObject managed object to expose its management attributes

Field Summary

Fields inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`ModelVersion`

Method Summary
`long` | `getAvailabilityStatusDegradedTime()` Returns the time the first time the object entered into the degraded state
`long` | `getAvailabilityStatusLastChange()` Get the time when the availability status last changed
`int` | `getAvailabilityStatusState()` Get the Availability State of the Monitored object
`javax.management.openmbean.CompositeData` | `getOpenStatistic(java.lang.String name)` Gets a CIB Statistic as a standard serializable JMX Open Type
`javax.management.openmbean.CompositeData[]` | `getOpenStatistics(java.lang.String[] names)` Gets all CIBStatistics encoded as serializable JMX Open Types.
`javax.management.openmbean.CompositeData` | `getOpenStats()` Gets a CIBStats object encoded as a standard serializable JMX Open Type
`long` | `getOperationalStatusLastChange()` Get the time when the operational status last changed
`long` | `getOperationalStatusStartTime()` Get the time when the Operational status entered into the running state
`int` | `getOperationalStatusState()` Get the Operational MfStatus of the monitored object
`java.lang.String[]` | `getStatisticNames()` Gets all available statistic names
`javax.management.j2ee.statistics.Stats` | `getStats()` Gets a CIBStats object for all available statistics.
`boolean` | `isStateProvider()` Returns true, indicates that this managed object implements the State model and is state manageable as described in "StateManagement" chapter of this specification.
`boolean` | `isStatisticProvider()` Returns true, indicates that the managed object supports the generation of performance statistics and implements the StatisticsProvider model as described in the "StatisticsProvider" chapter of this specification.
`void` | `setStateProvider(boolean val)` enables/disable the generation of performance statistics data in the supplier application.
`void` | `setStatisticProvider(boolean val)` disables the generation of performance statistics data in the supplier application.

Methods inherited from interface com.sun.mfwk.cib.CIBManagedObjectMBean
`getDescription, isEventProvider, setEventProvider`

Methods inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`getModelVersion, getName, getType`

Method Detail

### isStateProvider

    public boolean isStateProvider()

  Returns true, indicates that this managed object implements the State model and is state manageable as described in "StateManagement" chapter of this specification. Returns false, the managed object does not support state model.

### isStatisticProvider

    public boolean isStatisticProvider()

  Returns true, indicates that the managed object supports the generation of performance statistics and implements the StatisticsProvider model as described in the "StatisticsProvider" chapter of this specification. Returns false, the managed object does not support performance statistics.

### setStateProvider

    public void setStateProvider(boolean val)
                          throws CIBException

  enables/disable the generation of performance statistics data in the supplier application. This operation has no effect if the statisticsProvider attribute is false.

  Throws:
    `CIBException`

### setStatisticProvider

    public void setStatisticProvider(boolean val)
                              throws CIBException

  disables the generation of performance statistics data in the supplier application. The effect of invoking that operation should be a near zero data generation overhead in the supplier application. This operation has no effect if the statisticsProvider attribute is false.

  Parameters:
    `val` - boolean
  Throws:
    `CIBException`

### getOpenStatistic

    public javax.management.openmbean.CompositeData getOpenStatistic(java.lang.String name)
                                                              throws CIBAttributeNotFoundException,
                                                                     CIBException

  Gets a CIB Statistic as a standard serializable JMX Open Type

  Parameters:
    `name` - String
  Returns:
    CompositeData
  Throws:
    `CIBAttributeNotFoundException`
    `CIBException`

### getOpenStats

    public javax.management.openmbean.CompositeData getOpenStats()
                                                          throws CIBException

  Gets a CIBStats object encoded as a standard serializable JMX Open Type

  Returns:
    CompositeData
  Throws:
    `CIBException`

### getStatisticNames

    public java.lang.String[] getStatisticNames()
                                         throws CIBException

  Gets all available statistic names

  Returns:
    String[]
  Throws:
    `CIBException`

### getStats

    public javax.management.j2ee.statistics.Stats getStats()
                                                    throws CIBException

  Gets a CIBStats object for all available statistics.

  Returns:
    Stats
  Throws:
    `CIBException`

### getOpenStatistics

    public javax.management.openmbean.CompositeData[] getOpenStatistics(java.lang.String[] names)
                                                                 throws CIBException

  Gets all CIBStatistics encoded as serializable JMX Open Types. If no statistics is found null is returned.

  Parameters:
    `names` - String[]
  Returns:
    CompositeData[]
  Throws:
    `CIBException`

### getOperationalStatusState

    public int getOperationalStatusState()
                                  throws CIBException,
                                         CIBAttributeNotFoundException

  Get the Operational MfStatus of the monitored object

  Returns:
    int
  Throws:
    `CIBException`
    `CIBAttributeNotFoundException`

### getOperationalStatusLastChange

    public long getOperationalStatusLastChange()
                                        throws CIBException,
                                               CIBAttributeNotFoundException

  Get the time when the operational status last changed

  Returns:
    long
  Throws:
    `CIBException`
    `CIBAttributeNotFoundException`

### getOperationalStatusStartTime

    public long getOperationalStatusStartTime()
                                       throws CIBException,
                                              CIBAttributeNotFoundException

  Get the time when the Operational status entered into the running state

  Returns:
    long
  Throws:
    `CIBException`
    `CIBAttributeNotFoundException`

### getAvailabilityStatusState

    public int getAvailabilityStatusState()
                                   throws CIBException,
                                          CIBAttributeNotFoundException

  Get the Availability State of the Monitored object

  Returns:
    int
  Throws:
    `CIBException`
    `CIBAttributeNotFoundException`

### getAvailabilityStatusLastChange

    public long getAvailabilityStatusLastChange()
                                         throws CIBException,
                                                CIBAttributeNotFoundException

  Get the time when the availability status last changed

  Returns:
    long
  Throws:
    `CIBException`
    `CIBAttributeNotFoundException`

### getAvailabilityStatusDegradedTime

    public long getAvailabilityStatusDegradedTime()
                                           throws CIBException,
                                                  CIBAttributeNotFoundException

  Returns the time the first time the object entered into the degraded state

  Returns:
    long
  Throws:
    `CIBException`
    `CIBAttributeNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD